#include <stdio.h>
#include <stdbool.h>

int main()
{
    int a;
    int b;
    int c;
    bool d;
    d = true;
    
    scanf("%d", &a);
    scanf("%d", &b);
    
    for (int i = 0; i < a; i++) {
        
        scanf("%d", &c);
        if (c <= b) {
            
            printf("%d", i+1);
            d = false;
            break;
            
        }
        
    }
    
    if (d == true) {
        
        printf("-1");
        
    }
}